=== debian/changelog ===
gaviotatb (0.4-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Replace repack rules with Files-Excluded
  * Remove .depend via d/clean
  * Introduce Rules-Requires-Root
  * Do not build with Z_SOLO (Closes: #1074978)

  [ Helmut Grohne ]
  * Fix FTCBFS: Force using the debhelper supplied CC. (Closes: #872083)

 -- Bastian Germann <bage@debian.org>  Thu, 13 Feb 2025 22:51:22 +0100

gaviotatb (0.4-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:31:44 +0100

gaviotatb (0.4-2) unstable; urgency=medium

  * Incorporate patch by Mathieu Malaterre, fix linking errors
    (Closes: #775699)

 -- Varun Hiremath <varun@debian.org>  Tue, 20 Jan 2015 23:56:15 -0500

gaviotatb (0.4-1) unstable; urgency=low

  * Initial release

 -- Varun Hiremath <varun@debian.org>  Sun, 02 Jun 2013 15:26:15 -0400
