=== debian/control ===
Source: gaviotatb
Priority: extra
Maintainer: Varun Hiremath <varun@debian.org>
Build-Depends: debhelper (>= 8.0.0), zlib1g-dev
Standards-Version: 3.9.4
Section: libs
Rules-Requires-Root: binary-targets
Homepage: https://sites.google.com/site/gaviotachessengine/
Vcs-Git: git://git.debian.org/users/varun/gaviotatb.git
Vcs-Browser: http://git.debian.org/?p=users/varun/gaviotatb.git;a=summary

Package: libgaviotatb-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgaviotatb1 (= ${binary:Version})
Recommends: gaviotatb
Description: Gaviota chess endgame tablebase probing library
 Gaviota is a chess engine. Gaviota generates and uses its own Endgame
 Tablebases (EGTBs) with its own format. It contains "distance to
 mate" information, which is how many moves are needed to mate the
 opponent, or to be mated. The Gaviota Tablebases can be probed from
 your own program (engine or interface) using this library.
 .
 This package contains the shared libraries.

Package: libgaviotatb1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gaviotatb
Description: Gaviota chess endgame tablebase probing library (development package)
 Gaviota is a chess engine. Gaviota generates and uses its own Endgame
 Tablebases (EGTBs) with its own format. It contains "distance to
 mate" information, which is how many moves are needed to mate the
 opponent, or to be mated. The Gaviota Tablebases can be probed from
 your own program (engine or interface) using this library.
 .
 This package provides a static library and header files.

Package: gaviotatb
Section: database
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gaviota chess endgame tablebases
 Gaviota is a chess engine. Gaviota generates and uses its own Endgame
 Tablebases (EGTBs) with its own format. It contains "distance to
 mate" information, which is how many moves are needed to mate the
 opponent, or to be mated. This package provides the pre-generated
 Gaviota endgame tablebases.
