=== debian/watch ===
version=3
opts="dversionmangle=s/[+~]dfsg.*//" \
https://sites.google.com/site/gaviotachessengine/download .*tbprobe-(.*).zip.*
